# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AccountSasParameters,
    ActiveDirectoryProperties,
    AzureEntityResource,
    AzureFilesIdentityBasedAuthentication,
    BlobContainer,
    BlobInventoryPolicy,
    BlobInventoryPolicyDefinition,
    BlobInventoryPolicyFilter,
    BlobInventoryPolicyRule,
    BlobInventoryPolicySchema,
    BlobRestoreParameters,
    BlobRestoreRange,
    BlobRestoreStatus,
    BlobServiceItems,
    BlobServiceProperties,
    ChangeFeed,
    CheckNameAvailabilityResult,
    CloudErrorBody,
    CorsRule,
    CorsRules,
    CustomDomain,
    DateAfterCreation,
    DateAfterModification,
    DeleteRetentionPolicy,
    DeletedShare,
    Dimension,
    Encryption,
    EncryptionScope,
    EncryptionScopeKeyVaultProperties,
    EncryptionScopeListResult,
    EncryptionService,
    EncryptionServices,
    Endpoints,
    ErrorResponse,
    ErrorResponseBody,
    FileServiceItems,
    FileServiceProperties,
    FileShare,
    FileShareItem,
    FileShareItems,
    GeoReplicationStats,
    IPRule,
    Identity,
    ImmutabilityPolicy,
    ImmutabilityPolicyProperties,
    KeyVaultProperties,
    LastAccessTimeTrackingPolicy,
    LeaseContainerRequest,
    LeaseContainerResponse,
    LegalHold,
    LegalHoldProperties,
    ListAccountSasResponse,
    ListBlobInventoryPolicy,
    ListContainerItem,
    ListContainerItems,
    ListQueue,
    ListQueueResource,
    ListQueueServices,
    ListServiceSasResponse,
    ListTableResource,
    ListTableServices,
    ManagementPolicy,
    ManagementPolicyAction,
    ManagementPolicyBaseBlob,
    ManagementPolicyDefinition,
    ManagementPolicyFilter,
    ManagementPolicyRule,
    ManagementPolicySchema,
    ManagementPolicySnapShot,
    ManagementPolicyVersion,
    MetricSpecification,
    NetworkRuleSet,
    ObjectReplicationPolicies,
    ObjectReplicationPolicy,
    ObjectReplicationPolicyFilter,
    ObjectReplicationPolicyRule,
    Operation,
    OperationDisplay,
    OperationListResult,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateLinkResource,
    PrivateLinkResourceListResult,
    PrivateLinkServiceConnectionState,
    QueueServiceProperties,
    Resource,
    RestorePolicyProperties,
    Restriction,
    RoutingPreference,
    SKUCapability,
    ServiceSasParameters,
    ServiceSpecification,
    Sku,
    SkuInformation,
    StorageAccount,
    StorageAccountCheckNameAvailabilityParameters,
    StorageAccountCreateParameters,
    StorageAccountInternetEndpoints,
    StorageAccountKey,
    StorageAccountListKeysResult,
    StorageAccountListResult,
    StorageAccountMicrosoftEndpoints,
    StorageAccountRegenerateKeyParameters,
    StorageAccountUpdateParameters,
    StorageQueue,
    StorageSkuListResult,
    SystemData,
    Table,
    TableServiceProperties,
    TagFilter,
    TagProperty,
    TrackedResource,
    UpdateHistoryProperty,
    Usage,
    UsageListResult,
    UsageName,
    VirtualNetworkRule,
)

from ._storage_management_client_enums import (  # type: ignore
    AccessTier,
    AccountStatus,
    BlobInventoryPolicyName,
    BlobRestoreProgressStatus,
    Bypass,
    CorsRuleAllowedMethodsItem,
    CreatedByType,
    DefaultAction,
    DirectoryServiceOptions,
    EnabledProtocols,
    EncryptionScopeSource,
    EncryptionScopeState,
    Enum27,
    GeoReplicationStatus,
    HttpProtocol,
    ImmutabilityPolicyState,
    ImmutabilityPolicyUpdateType,
    InventoryRuleType,
    KeyPermission,
    KeySource,
    KeyType,
    Kind,
    LargeFileSharesState,
    LeaseContainerRequestAction,
    LeaseDuration,
    LeaseState,
    LeaseStatus,
    ListContainersInclude,
    ManagementPolicyName,
    MinimumTlsVersion,
    Name,
    Permissions,
    PrivateEndpointConnectionProvisioningState,
    PrivateEndpointServiceConnectionStatus,
    ProvisioningState,
    PublicAccess,
    Reason,
    ReasonCode,
    RootSquashType,
    RoutingChoice,
    RuleType,
    Services,
    ShareAccessTier,
    SignedResource,
    SignedResourceTypes,
    SkuName,
    SkuTier,
    State,
    StorageAccountExpand,
    UsageUnit,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AccountSasParameters",
    "ActiveDirectoryProperties",
    "AzureEntityResource",
    "AzureFilesIdentityBasedAuthentication",
    "BlobContainer",
    "BlobInventoryPolicy",
    "BlobInventoryPolicyDefinition",
    "BlobInventoryPolicyFilter",
    "BlobInventoryPolicyRule",
    "BlobInventoryPolicySchema",
    "BlobRestoreParameters",
    "BlobRestoreRange",
    "BlobRestoreStatus",
    "BlobServiceItems",
    "BlobServiceProperties",
    "ChangeFeed",
    "CheckNameAvailabilityResult",
    "CloudErrorBody",
    "CorsRule",
    "CorsRules",
    "CustomDomain",
    "DateAfterCreation",
    "DateAfterModification",
    "DeleteRetentionPolicy",
    "DeletedShare",
    "Dimension",
    "Encryption",
    "EncryptionScope",
    "EncryptionScopeKeyVaultProperties",
    "EncryptionScopeListResult",
    "EncryptionService",
    "EncryptionServices",
    "Endpoints",
    "ErrorResponse",
    "ErrorResponseBody",
    "FileServiceItems",
    "FileServiceProperties",
    "FileShare",
    "FileShareItem",
    "FileShareItems",
    "GeoReplicationStats",
    "IPRule",
    "Identity",
    "ImmutabilityPolicy",
    "ImmutabilityPolicyProperties",
    "KeyVaultProperties",
    "LastAccessTimeTrackingPolicy",
    "LeaseContainerRequest",
    "LeaseContainerResponse",
    "LegalHold",
    "LegalHoldProperties",
    "ListAccountSasResponse",
    "ListBlobInventoryPolicy",
    "ListContainerItem",
    "ListContainerItems",
    "ListQueue",
    "ListQueueResource",
    "ListQueueServices",
    "ListServiceSasResponse",
    "ListTableResource",
    "ListTableServices",
    "ManagementPolicy",
    "ManagementPolicyAction",
    "ManagementPolicyBaseBlob",
    "ManagementPolicyDefinition",
    "ManagementPolicyFilter",
    "ManagementPolicyRule",
    "ManagementPolicySchema",
    "ManagementPolicySnapShot",
    "ManagementPolicyVersion",
    "MetricSpecification",
    "NetworkRuleSet",
    "ObjectReplicationPolicies",
    "ObjectReplicationPolicy",
    "ObjectReplicationPolicyFilter",
    "ObjectReplicationPolicyRule",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateLinkResource",
    "PrivateLinkResourceListResult",
    "PrivateLinkServiceConnectionState",
    "QueueServiceProperties",
    "Resource",
    "RestorePolicyProperties",
    "Restriction",
    "RoutingPreference",
    "SKUCapability",
    "ServiceSasParameters",
    "ServiceSpecification",
    "Sku",
    "SkuInformation",
    "StorageAccount",
    "StorageAccountCheckNameAvailabilityParameters",
    "StorageAccountCreateParameters",
    "StorageAccountInternetEndpoints",
    "StorageAccountKey",
    "StorageAccountListKeysResult",
    "StorageAccountListResult",
    "StorageAccountMicrosoftEndpoints",
    "StorageAccountRegenerateKeyParameters",
    "StorageAccountUpdateParameters",
    "StorageQueue",
    "StorageSkuListResult",
    "SystemData",
    "Table",
    "TableServiceProperties",
    "TagFilter",
    "TagProperty",
    "TrackedResource",
    "UpdateHistoryProperty",
    "Usage",
    "UsageListResult",
    "UsageName",
    "VirtualNetworkRule",
    "AccessTier",
    "AccountStatus",
    "BlobInventoryPolicyName",
    "BlobRestoreProgressStatus",
    "Bypass",
    "CorsRuleAllowedMethodsItem",
    "CreatedByType",
    "DefaultAction",
    "DirectoryServiceOptions",
    "EnabledProtocols",
    "EncryptionScopeSource",
    "EncryptionScopeState",
    "Enum27",
    "GeoReplicationStatus",
    "HttpProtocol",
    "ImmutabilityPolicyState",
    "ImmutabilityPolicyUpdateType",
    "InventoryRuleType",
    "KeyPermission",
    "KeySource",
    "KeyType",
    "Kind",
    "LargeFileSharesState",
    "LeaseContainerRequestAction",
    "LeaseDuration",
    "LeaseState",
    "LeaseStatus",
    "ListContainersInclude",
    "ManagementPolicyName",
    "MinimumTlsVersion",
    "Name",
    "Permissions",
    "PrivateEndpointConnectionProvisioningState",
    "PrivateEndpointServiceConnectionStatus",
    "ProvisioningState",
    "PublicAccess",
    "Reason",
    "ReasonCode",
    "RootSquashType",
    "RoutingChoice",
    "RuleType",
    "Services",
    "ShareAccessTier",
    "SignedResource",
    "SignedResourceTypes",
    "SkuName",
    "SkuTier",
    "State",
    "StorageAccountExpand",
    "UsageUnit",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
