# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import

from ._blob_services_operations import BlobServicesOperations  # type: ignore
from ._blob_containers_operations import BlobContainersOperations  # type: ignore
from ._file_services_operations import FileServicesOperations  # type: ignore
from ._file_shares_operations import FileSharesOperations  # type: ignore
from ._queue_services_operations import QueueServicesOperations  # type: ignore
from ._queue_operations import QueueOperations  # type: ignore
from ._operations import Operations  # type: ignore
from ._skus_operations import SkusOperations  # type: ignore
from ._storage_accounts_operations import StorageAccountsOperations  # type: ignore
from ._deleted_accounts_operations import DeletedAccountsOperations  # type: ignore
from ._usages_operations import UsagesOperations  # type: ignore
from ._management_policies_operations import ManagementPoliciesOperations  # type: ignore
from ._blob_inventory_policies_operations import BlobInventoryPoliciesOperations  # type: ignore
from ._private_endpoint_connections_operations import PrivateEndpointConnectionsOperations  # type: ignore
from ._private_link_resources_operations import PrivateLinkResourcesOperations  # type: ignore
from ._object_replication_policies_operations import ObjectReplicationPoliciesOperations  # type: ignore
from ._local_users_operations import LocalUsersOperations  # type: ignore
from ._encryption_scopes_operations import EncryptionScopesOperations  # type: ignore
from ._table_services_operations import TableServicesOperations  # type: ignore
from ._table_operations import TableOperations  # type: ignore
from ._network_security_perimeter_configurations_operations import NetworkSecurityPerimeterConfigurationsOperations  # type: ignore
from ._storage_task_assignments_operations import StorageTaskAssignmentsOperations  # type: ignore
from ._storage_task_assignments_instances_report_operations import StorageTaskAssignmentsInstancesReportOperations  # type: ignore
from ._storage_task_assignment_instances_report_operations import StorageTaskAssignmentInstancesReportOperations  # type: ignore

from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "BlobServicesOperations",
    "BlobContainersOperations",
    "FileServicesOperations",
    "FileSharesOperations",
    "QueueServicesOperations",
    "QueueOperations",
    "Operations",
    "SkusOperations",
    "StorageAccountsOperations",
    "DeletedAccountsOperations",
    "UsagesOperations",
    "ManagementPoliciesOperations",
    "BlobInventoryPoliciesOperations",
    "PrivateEndpointConnectionsOperations",
    "PrivateLinkResourcesOperations",
    "ObjectReplicationPoliciesOperations",
    "LocalUsersOperations",
    "EncryptionScopesOperations",
    "TableServicesOperations",
    "TableOperations",
    "NetworkSecurityPerimeterConfigurationsOperations",
    "StorageTaskAssignmentsOperations",
    "StorageTaskAssignmentsInstancesReportOperations",
    "StorageTaskAssignmentInstancesReportOperations",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
